<template>
  <div id="app">
    <v-app id="inspire">
      <v-layout row>
        <v-flex xs12 sm6 offset-sm3>
          <v-card>
            <v-img :src="this.shopDetails.shop_img" height="400px"></v-img>

            <v-card-title primary-title>
              <div>
                <div class="headline">{{ shopDetails.shop_name }}</div>
                <span class="grey--text">{{ shopDetails.shop_zone }}</span>
                <br />
                <span class="grey--text">{{ shopDetails.shop_street }}</span>
                <br />
                <span class="grey--text">{{ shopDetails.shop_adress }}</span>
                <br />
                <span class="grey--text">Teléfono: {{ shopDetails.shop_tel }}</span>
              </div>
            </v-card-title>

            <v-card-actions>
              <v-btn flat color="purple" @click="goToProductListOfThisShop">Más products</v-btn>
              <v-spacer></v-spacer>
              <v-btn class="big-screen" @click="show = !show">
                <v-icon>Sobre nosotros</v-icon>
              </v-btn>
              <v-btn class="little-screen" @click="show = !show">
                <v-icon>></v-icon>
              </v-btn>
            </v-card-actions>

            <v-slide-y-transition>
              <v-card-text
                v-show="show"
              >Lorem ipsum dolor sit amet consectetur adipisicing elit. Adipisci sapiente placeat iusto illo. Exercitationem labore dolor fugit et vero tempora earum error magni esse laborum possimus aut harum perferendis inventore placeat veritatis, doloribus, impedit corporis autem fuga numquam, commodi a? Veniam qui, sapiente nulla voluptatum quos eos explicabo, voluptates quia non impedit quae velit ratione. Impedit assumenda sint deserunt, illo atque omnis enim eligendi facilis architecto dicta voluptatum harum nemo nobis eius nihil reprehenderit commodi tempore! Asperiores ullam architecto adipisci libero quaerat veniam reprehenderit rerum necessitatibus, aspernatur iure ipsam voluptates minus fuga illum exercitationem animi voluptatem nemo. Neque, tenetur eum?</v-card-text>
            </v-slide-y-transition>
          </v-card>
        </v-flex>
      </v-layout>
    </v-app>
  </div>

  <!-- <div class="shop_details">
    <div class="shop-box">
      <img :src="this.shopDetails.shop_img" />
      <h1>{{ shopDetails.shop_name }}</h1>
      <h1>Telefono :{{ shopDetails.shop_tel }}</h1>
      <h1>Categoria :{{ shopDetails.shop_category }}</h1>
      <h1>Direccion :{{ shopDetails.shop_adress }}</h1>
      <h1>Calle :{{ shopDetails.shop_street }}</h1>
      <h1>Zona :{{ shopDetails.shop_zone }}</h1>
    </div>
  </div>-->
</template>
<script>
export default {
  name: "ShowShopDetails",
  props: {
    shopDetails: {
      propType: Object,
      required: true
    }
  },
  data() {
    return {
      show: false
    };
  },
  methods: {
    goToProductListOfThisShop() {
      this.$router.push("/Product-List");
    }
  }
};
</script>
<style scoped>
img {
  width: 13rem;
  height: 13rem;
}
.product_details {
  display: flex;
  justify-content: space-around;
}
.little-screen {
  display: none;
}
@media only screen and (max-width: 500px) {
  /* For mobile phones: */
  .big-screen {
    display: none;
  }
  .little-screen {
    display: inline;
  }
}
</style>
